@import '../styles/functions/rem.scss';
@import '../styles/theme.scss';

.aside {
    width: 15%;
    min-height: 100%;
    background-color: $background-color;
    display: flex;
    flex-direction: column;
    position: fixed;
    
    @include rem-fallback(margin-right, 10);

    header {
        > div {
            max-width: 50%;
            margin-left: auto;
            margin-right: auto;
            border-radius: 50%;
            @include rem-fallback(margin-top, 20);
            @include rem-fallback(margin-bottom, 20);
        }

        h2 {
            color: $primary-color;
            font-weight: bold;
            text-transform: capitalize;
            text-align: center;

            @include rem-fallback(padding, 5);
        }

        @include rem-fallback(margin-bottom, 20);
    }
}


@media all and (max-width: 1024px) { 
    .aside {
        h2 {
            @include rem-fallback(font-size, 30);
        }
    }
}

@media all and (max-width: 825px) { 
    .aside {
        width: 100%;
        flex-direction: row;
        z-index: 1;
        @include rem-fallback(min-height, 120);
        @include rem-fallback(height, 120);

        header {
            display: none;
        }
    }
}